<template>
  <!-- 产品物模型 -->
  <div class="bbsl-common-page">
    <div class="bbsl-table-content" ref="contentPanel">
      <div class="bbsl-btn-content" ref="btnPanel"></div>
      <el-tabs v-model="activeName" type="card" @tab-click="handleClick" :style="{height: tableMaxHeight+'px'}">
        <el-tab-pane label="属性定义" name="first" :lazy="true">
          <AttrbuteDefinition v-if="activeName == 'first'" :parameterData="parameters"></AttrbuteDefinition>
        </el-tab-pane>
        <el-tab-pane label="功能定义" name="second" :lazy="true">
          <FunctionDefinition v-if="activeName == 'second'" :parameterData="parameters"></FunctionDefinition>
        </el-tab-pane>
        <el-tab-pane label="事件定义" name="third" :lazy="true">
          <EventDefinition v-if="activeName == 'third'" :parameterData="parameters"></EventDefinition>
        </el-tab-pane>
      </el-tabs>
    </div>
  </div>
</template>

<script>
import PhysicalModel from '@/api/device/PhysicalModel.js'
import AttrbuteDefinition from '@/views/Device/deviceManage/components/modle/AttrbuteDefinition.vue'
import FunctionDefinition from '@/views/Device/deviceManage/components/modle/FunctionDefinition.vue'
import {
  TableMixin
} from '@/mixins/tableMixin'
import EventDefinition from './EventDefinition.vue'

export default {
  props: {
    parameter: {
      type: Object,
      default: function() {
        return
      }
    }
  },
  components: {
    AttrbuteDefinition,
    EventDefinition,
    FunctionDefinition
  },
  mixins: [TableMixin],
  data() {
    return {
      parameters: {},
      activeName: 'first'
    }
  },
  created() {
    this.parameters = this.parameter
  },
  methods: {
    loadData() {
    },
    handleClick() {
    }
  }
}
</script>

<style lang="scss" scoped>
.bbsl-table-content {
  ::v-deep .el-tabs__content {
    height: calc(100% + 30px);
    overflow-y: auto;
    overflow-x: hidden;
  }
}

::v-deep .el-tab-pane {
  height: 100% !important;
}

::v-deep .bbsl-table-content {
  box-shadow: 0px 0px 0 0;
  margin-top: 0px;
  padding: 0px;
}

.bbsl-table-content > .bbsl-btn-content {
  margin-bottom: 0;
}

// 隐藏滚动条
::v-deep .el-tab-pane::-webkit-scrollbar {
  display: none;
}

::v-deep .el-tab-pane {
  -ms-overflow-style: none;
}

::v-deep .el-tab-pane {
  overflow: -moz-scrollbars-none;
}
</style>
